PLplot: wxwidgets.cpp File Reference

PLplot 5.15.0

Functions | Variables
wxwidgets.cpp File Reference
`#include <wx/wx.h>`
`#include <wx/wfstream.h>`
`#include <wx/except.h>`
`#include "plDevs.h"`
`#include "plplotP.h"`
`#include "drivers.h"`
`#include <cstdio>`
`#include "wxwidgets.h"`

Go to the source code of this file.

## Functions
void | Log_Verbose (const char *fmt,...)
void | Log_Debug (const char *fmt,...)
void | plD_line_wxwidgets (PLStream *pls, short x1a, short y1a, short x2a, short y2a)
void | plD_polyline_wxwidgets (PLStream *pls, short *xa, short *ya, PLINT npts)
void | plD_eop_wxwidgets (PLStream *pls)
void | plD_wait_wxwidgets (PLStream *pls)
void | plD_bop_wxwidgets (PLStream *pls)
void | plD_tidy_wxwidgets (PLStream *pls)
void | plD_state_wxwidgets (PLStream *pls, PLINT op)
void | plD_esc_wxwidgets (PLStream *pls, PLINT op, void *ptr)

## Variables
bool | g_weInitializedWx = false
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_wxwidgets =

## Function Documentation

## ◆ Log_Debug()

void Log_Debug | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 77 of file wxwidgets.cpp.

## ◆ Log_Verbose()

void Log_Verbose | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 56 of file wxwidgets.cpp.

## ◆ plD_bop_wxwidgets()

void plD_bop_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 403 of file wxwidgets.cpp.

## ◆ plD_eop_wxwidgets()

void plD_eop_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 343 of file wxwidgets.cpp.

## ◆ plD_esc_wxwidgets()

void plD_esc_wxwidgets | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 504 of file wxwidgets.cpp.

## ◆ plD_line_wxwidgets()

void plD_line_wxwidgets | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 285 of file wxwidgets.cpp.

## ◆ plD_polyline_wxwidgets()

void plD_polyline_wxwidgets | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 313 of file wxwidgets.cpp.

## ◆ plD_state_wxwidgets()

void plD_state_wxwidgets | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 463 of file wxwidgets.cpp.

## ◆ plD_tidy_wxwidgets()

void plD_tidy_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 429 of file wxwidgets.cpp.

## ◆ plD_wait_wxwidgets()

void plD_wait_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 373 of file wxwidgets.cpp.

## Variable Documentation

## ◆ g_weInitializedWx

bool g_weInitializedWx = false

Definition at line 43 of file wxwidgets.cpp.

## ◆ plD_DEVICE_INFO_wxwidgets

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_wxwidgets =

Definition at line 102 of file wxwidgets.cpp.